---
title: Document.popupNode
slug: Web/API/Document/popupNode
tags:
  - API
  - DOM
  - Deprecated
  - Property
  - Reference
---
<div>{{ApiRef("DOM")}}{{deprecated_header}}</div>

<div class="note"><strong>Note:</strong> Starting with {{Gecko("2.0")}}, authors are encouraged to use the <a href="/en-US/docs/Mozilla/Tech/XUL/menupopup">menupopup</a> property <a href="/en-US/docs/Mozilla/Tech/XUL/Property/triggerNode">triggerNode</a> instead.</div>

<p>When a popup attached via the <code>popup</code> or <code>context</code> attributes is opened, the XUL document's <code>popupNode</code> property is set to the node that was clicked on. This will be the target of the mouse event that activated the popup. If the popup was opened via the keyboard, the popup node may be set to null. Typically, this property will be checked during a popupshowing event handler for a context menu to initialize the menu based on the context.</p>

<p>This property is only set for popups attached via the <code>popup</code> or <code>context</code> attributes. For other types of popups, the value is not changed. In these other cases, for example when calling the popup's <a href="/en-US/docs/Mozilla/Tech/XUL/Method/showPopup">showPopup</a> method, you may wish to set the <code>popupNode</code> property directly beforehand.</p>

<p>This property applies only to XUL documents.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>node</var> = <var>document</var>.popupNode;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: xml">&lt;menupopup id="toolbarContextMenu"&gt;
  ...
  &lt;menuitem oncommand="mailNewsCore.deleteButton(document.popupNode)"&gt;
  ...
&lt;/menupopup&gt;
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.popupNode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Defined in {{Source("dom/public/idl/xul/nsIDOMXULDocument.idl#48", "nsIDOMXULDocument.idl")}}. XUL-specific method. Not part of any specification.</li>
</ul>
